package com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "DESENSITIZATIONFILE"
)
public class DesensitizationFile extends TBaseEntity {
   private String filedir;
   private String codepage;
   private String suffix;
   private String dateformat;
   private String delimiters;
   private String quotecharacter;
   private int filetype;
   private String ip;
   private String port;
   private String username;
   private String userpassword;
   private String taskid;
   private String repeatEmptyCharacter;
   private String divisionType;

   public String getRepeatEmptyCharacter() {
      return this.repeatEmptyCharacter;
   }

   public void setRepeatEmptyCharacter(String repeatEmptyCharacter) {
      this.repeatEmptyCharacter = repeatEmptyCharacter;
   }

   public String getDivisionType() {
      return this.divisionType;
   }

   public void setDivisionType(String divisionType) {
      this.divisionType = divisionType;
   }

   public String getFiledir() {
      return this.filedir;
   }

   public void setFiledir(String filedir) {
      this.filedir = filedir;
   }

   public String getCodepage() {
      return this.codepage;
   }

   public void setCodepage(String codepage) {
      this.codepage = codepage;
   }

   public String getSuffix() {
      return this.suffix;
   }

   public void setSuffix(String suffix) {
      this.suffix = suffix;
   }

   public String getDateformat() {
      return this.dateformat;
   }

   public void setDateformat(String dateformat) {
      this.dateformat = dateformat;
   }

   public String getDelimiters() {
      return this.delimiters;
   }

   public void setDelimiters(String delimiters) {
      this.delimiters = delimiters;
   }

   public String getQuotecharacter() {
      return this.quotecharacter;
   }

   public void setQuotecharacter(String quotecharacter) {
      this.quotecharacter = quotecharacter;
   }

   public int getFiletype() {
      return this.filetype;
   }

   public void setFiletype(int filetype) {
      this.filetype = filetype;
   }

   public String getIp() {
      return this.ip;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public String getPort() {
      return this.port;
   }

   public void setPort(String port) {
      this.port = port;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getUserpassword() {
      return this.userpassword;
   }

   public void setUserpassword(String userpassword) {
      this.userpassword = userpassword;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }
}
